.DEVICE ATtiny22 

.include "2313def.inc"
.def	temp1=r18
.def	result=r16
.def	temp=r17	

;-------------------------------------------------------------
.cseg
.org $0000
	rjmp	reset
anf:
	ldi	result,$ff	;set port B as output
	out	DDRB,result

strt:
	ldi	result,$15
	out	PORTB,result	;Write result on port B	

	rcall	Delay

	ldi	result,$0a
	out	PORTB,result	;Write result on port B	

	rcall	Delay
	rjmp	strt

;--------------------------------------------------------------

Delay:		clr	result		;Clear result counter 1

		ldi	temp,$00	;Reset temp counter 2
		ldi	temp1,0xfd	;load temp1, counter 3

loop1:
		inc	temp1		;Count up temp counter 1

		brne	loop1
		ldi	temp1,0xfd	;load temp1, counter 3
		inc	result
		brne	loop1		;Check if inner loop is finished

		inc 	temp		;Count up temp counter 2

		brne 	loop1		;Check if delay is finished
		ret
;--------------------------------------------------------

;	stackpointer setup
;--------------------------------------------------------
reset:
	ldi r16, low(RAMEND)
;;	ldi	temp,$60
	out	SPL,r16
	rjmp	anf
